package com.xkrs.controller;

import com.xkrs.service.ConfigGlobalService;
import org.springframework.lang.Nullable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

/**
 * 全局配置服务
 */
@RestController
public class ConfigGlobalController {

    @Resource
    private ConfigGlobalService configGlobalService;

    /**
     * 用户全局配置服务
     */
    @PostMapping("/configGlobalUser")
    public String configGlobalUser(@Nullable @RequestBody Map<String, Long> configMap) {
        return configGlobalService.configGlobalUser(configMap);
    }

    /**
     * 火情信息全局配置服务
     */
    @PostMapping("/configGlobalFirePoint")
    public String configGlobalFirePoint(@Nullable @RequestBody Map<String, Long> configMap) {
        return configGlobalService.configGlobalFirePoint(configMap);
    }

    /**
     * 短信全局配置服务
     */
    @PostMapping("/configGlobalSMS")
    public String configGlobalSMS(@Nullable @RequestBody Map<String, Long> configMap) {
        return configGlobalService.configGlobalSMS(configMap);
    }

}
